Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455551 - No harddrives seen when SATA DVD is in a higher port than a HD.
Summary: No harddrives seen when SATA DVD is in a higher port than a HD.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 05:08 UTC by tim lockname
Modified: 2009-07-14 15:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:53:04 UTC


Attachments (Terms of Use)

Description tim lockname 2008-07-16 05:08:22 UTC
Fedora 9 DVD, in an LG SATA drive. Abit motherboard. Seagate SATA HD.

The SATA HD was plugged into port SATA3. The SATA optical drive was in SATA5.
Other SATA ports were empty.

100% Reproducible, on my machine. I can give more details on the setup, but it
should be unnecessary.


Steps to Reproduce:
1.Plug the optical drive's SATA cable into a port with a higher number than the
 hard drive's. Each motherboard with >1 SATA ports will assign numbers to the
ports, and this should be printed in the manual, as well as on the motherboard
next to the ports.
2.Boot with Fedora 8 DVD.
  
Results:
Instead of asking to checksum the DVD, it will ask for the language, then
keyboard, and then installer media. It will not find the HD when that is chosen,
and when properly choosing the DVD it will ask the user to choose a driver (none
will work) or insert a driver into the floppy drive (which doesn't exist:
archaic option. Better to search for floppy drives first).

Expected results: To ask to checksum the DVD, and then to go into the GUI installer.


Additional info: My theory is that Fedora is looking at the first available
storage medium on the controller it booted from. It sees the harddrive, and
can't access it as an optical drive, then asking for a driver. Since the
harddrive is seen as otherwise, it sees no harddrive. Moving the cables back
around causes it to see the optical drive first in the SATA list, causing it to
then identify the HD properly. If this is the case, I believe this is a
better-explained duplicate of "Bugzilla Bug 433601: Fedora 8 instalation sees no
drives on Intel ICH9R". I believe this is at least medium severity, since I
nearly threw out my DVD (it stops installation dead), and the fix isn't apparent.

Comment 1 tim lockname 2008-07-16 05:17:26 UTC
Oops, Step 2 should be "Boot with Fedora 9 DVD", but it should happen with Fedora 8 too. Also, I should 
clarify that plugging the optical drive into SATA1 fixes the problem.

Comment 2 Chuck Ebbert 2008-09-08 22:47:15 UTC
There are some drivers that won't work with >4 SATA ports.
Can you post the output of 'lspci -nn' so we can see what SATA device is on this board?

Comment 3 tim lockname 2008-09-09 00:39:20 UTC
I can't  'lspci -nn' as the post-install boot failed reliably with some informally-worded error about IRQs and I gave up for this version of Fedora. The motherboard is an abit IX38 Quad-GT. Relevant specs would be-
"# 6 x SATA 3Gb/s offer by Intel® ICH9R support Intel® Matrix Storage Tech(AHCI & RAID0/1/5/10)
# 2 x eSATA 3Gb/s through JMicron® JMB363 support 0,1JBOD RAID"
Notably the same chipset as in bug 433601.

I hope that helps, but honestly I'd think the idea would then be to fix any driver that fails with >4 SATA ports. That's info I didn't have or expect, so my original logic/reasoning may be faulty. The HD is on the fourth SATA port now, and I had noted it was on the third originally, so the driver would have failed to find the DVD there, but it was still unable to identify the hard drive (for FTP or local media install) on that third port. Moving the DVD drive to be port 1 fixed both problems, and both the DVD and HD were recognized properly (and worked up to where the install was completed).

Comment 4 Bug Zapper 2009-06-10 02:06:24 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 15:53:04 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.